Skip to content
Create API key

Catalog and availability

Param Default Notes
after Cursor from the previous page’s nextCursor
category Filter to one category
updatedSince ISO date-time. Only products modified since (incremental sync)
limit 50 1 to 200
availableToOrder false true drops out-of-stock, discontinued and unavailable products
Request
curl "https://api.plunk.io/cx/v1/catalog?limit=50&updatedSince=2026-10-01T00:00:00Z" \
-H "Authorization: Bearer sk_live_••••"
Response
{
"count": 50,
"nextCursor": "SF-1042",
"items": [
{
"id": "…",
"title": "…",
"category": "…",
"price": 1899.00,
"salePrice": null,
"image": "https://…",
"link": "https://…",
"availability": "in stock",
"brand": "…",
"modifiedDate": "2026-08-20T03:10:00"
}
]
}

Page forward with ?after=<nextCursor> until nextCursor is null.

sync_catalog.py
import os, requests
url = "https://api.plunk.io/cx/v1/catalog"
headers = {"Authorization": f"Bearer {os.environ['PLUNK_SECRET_KEY']}"}
params = {"limit": 200}
while True:
page = requests.get(url, headers=headers, params=params).json()
for product in page["items"]:
... # upsert into your catalog
if not page["nextCursor"]:
break
params["after"] = page["nextCursor"]

Stock, available-to-promise and “ships in N days” for one product, from the same inventory numbers as the Inventory Planner (CSV feed, Shopify, or /ingest/inventory). Scope availability:read.

Response
{
"id": "SF-1042",
"title": "Harbor Sofa",
"category": "Sofas",
"availability": "in stock",
"onHand": 6,
"inTransit": 30,
"backordered": 4,
"atp": 32,
"nextAvailable": "2026-10-12",
"leadTimeDays": 90,
"shipsInDays": 0,
"asOf": "2026-10-14T06:00:00Z",
"sources": [
{ "source": "Main Warehouse", "status": "…", "onHand": 6, "backordered": 4, "availableDate": null }
]
}
  • availability is in stock, backorder or out of stock.
  • atp (available to promise) is on hand plus in transit minus backordered.
Error When
404 not_tracked Your account has no inventory snapshot yet
404 product_not_found Unknown product id
404 product_not_tracked The inventory feed never lists the product (for example, made-to-order goods)
Was this helpful?

Still stuck? Contact support and include the job or page you were on.